
Ryzom - Feature # 874

Status: Closed Priority: Normal
Author: rti Category: NeL: General
Created: 05/10/2010 Assignee: vl
Updated: 05/28/2010 Due date:
Subject: NELMISC: FastMutex Assembler replaced by GCC builtin for NL_OS_UNIX (Patch included)
Description

I replaced the Assembler Code by the GCC builtin function since I got crashes in FastMutex when running on Mac OS X 10.6 in 64bit
mode.

History
#1 - 05/11/2010 11:19 am - vl
- Category set to NeL: General
- Status changed from New to Assigned
- Assignee set to vl

#2 - 05/11/2010 11:30 am - vl
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r91.

#3 - 05/18/2010 10:22 am - vl
- Target version set to Version 0.8.0

#4 - 05/28/2010 05:23 pm - vl
- Status changed from Resolved to Closed

Files
nel_misc_mutex_atomic_test_and_set_builtin_gcc.patch 651 Bytes 05/10/2010 rti
